<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/7/2018
 * Time: 9:58 PM
 */
include '../comun/validarSesion.php';

if (isset($_REQUEST['token']) && isset($_REQUEST['id_queja'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $condominio = $condominioData["condominio_id"];
        $idame= $_REQUEST['id_queja'];
        $comentarios = R::findAll( 'comentarioqueja', 'id_queja = ?', [$idame]);
            foreach ($comentarios as $valor1){
                $idcom=$valor1['id'];
                $idau1= $valor1['id_autor'];
                $usuariocomentario = R::findOne('usuario', 'id = ?', [$idau1]);
                $comentarios[$idcom]['fecha_registro']=$Valido->time_elapsed_string($comentarios[$idcom]['fecha_registro']);
                $comentarios[$idcom]['autor']=$usuariocomentario['nombre'];
                $comentarios[$idcom]['autor_foto']=$usuariocomentario['foto_perfil'];
            }
        include '../comun/mensajeOk.php';
        print_r(json_encode($comentarios));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}
